package fitconnect.api.domain.metadata;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.Map;

/**
 * Eine Struktur, um zusätzliche Informationen zu hinterlegen
 */

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "senderReference",
        "applicationDate"
})
public record AdditionalReferenceInfo(

        @JsonProperty("senderReference")
        String senderReference,

        @JsonProperty("applicationDate")
        String applicationDate,

        @JsonIgnore
        Map<String, Object> additionalProperties
) { }

